# coding: latin-1
"""
Diese Datei ist Teil der Stifte-und-Muse-Portierung fr Python,
entstanden im Rahmen der Diplomarbeit von Ingo Linkweiler,
verfentlicht unter der Creative Commons Lizenz by-nc-sa,
naehere Informationen dazu unter
http://creativecommons.org/licenses/by-nc-sa/3.0/de/.

 Erste Version: Mrz 2003
 Autor: i.linkweiler@gmx.de
"""

from distutils.core import setup


def filecopy(src,dest):
  FPSource=open(src,"rb")
  data=FPSource.read(100000)
  FPSource.close()

  FPSource=open(dest,"wb")
  FPSource.write(data)
  FPSource.close()

def warte():
  s=raw_input(">>> Druecke ENTER")
  print

def balltest():
  # Variablen
  hPosition=100
  vPosition=100
  
  # Erzeuge Bildschirm und Stift
  bildschirm=Bildschirm()
  maus=Maus()
  tastatur=Tastatur()
  stift=Stift()
  
  # Ball bewegen bis Mausklick
  while (not maus.doppelKlick()) and hPosition<500:
  
    # Den alten Ball radieren
    stift.hoch()
    stift.bewegeBis(hPosition,vPosition)
    stift.runter()
    stift.radiere()
    stift.zeichneKreis(10)
  
    # Den Ball bewegen
    hPosition=hPosition+2
  
    # Denn Ball neu zeichnen
    stift.hoch()
    stift.normal()
    stift.bewegeBis(hPosition,vPosition)
    stift.runter()
    stift.zeichneKreis(10)
    
       
  # Und Ende.
  stift.gibFrei()
  tastatur.gibFrei()
  maus.gibFrei()
  bildschirm.gibFrei()


###########################################################################
##### SUM-SETUP
###########################################################################

print "Stifte und Maeuse Installation und Test"
print
print "Test auf korrekte Installation der Bibliothek PyGame... ",
import time
try:
  import pygame
  print "OK."
except:
  print "FEHLER! PyGame wurde nicht gefunden."
  warte()

print
print "Installation:"
print "============="
print "Benutzen sie SuM in integrierten Entwicklungsumgebungen (ActivePython) ?"
print "Falls ja, wird eine speziell angepasste Version installiert, es ist aber"
print "mit Leistungsreduzierung bei Animationsgrafiken zu rechnen."
print "Diese Version befindet sich noch in der Testphase."
print
gui=raw_input("[n]ein (empfohlen) / [j]a ?")
if gui.lower()=="j":
  print "Installiere GUI-Beta-Version."
  filecopy("sumwrapper_socket.py","sumwrapper.py")
else:
  print "Installiere schnelle Version."
  filecopy("sumwrapper_direkt.py","sumwrapper.py")
  
if 0: ### CODE IST NOCH FEHLERHAFT ###
  print
  print "Soll Stifte und Muse als Site-Package installiert werden?"
  print "Dies emglicht den Import unabnhngig vom Arbeitsverzeichnis."
  print
  sp=raw_input("[n]ein / [j]a ?")
  if sp.lower()=="j":
    print "installiere site-packages."
    setup(name="sumx",
          version="1.0",
          description="Python SuM",
          author="Ingo",
          author_email="gward@python.net",
  
          package_dir = {'': 'sumy'},
          packages=["sumwrapper"])
  else:
    print "kein sitepackage."

 
print "Lade SuM-Klassen...",
try:
  from sum import *
  print "OK."
except:
  print "FEHLER: PyGame wurde nicht gefunden."
  warte()

print "Teste Bildschirm, sie sollten gleich einen bewegten Kreis sehen..."
time.sleep(1)
try:
  balltest()
  print "OK."
except:
  print "Fehler."
  warte()  

print "Test beendet."
warte()
print "Bye...."
